Main Page Widgets Namespaces Book

# Glib::SignalProxy2< R, P1, P2 > Class Template Reference

Proxy for signals with 2 arguments. More...

Inheritance diagram for Glib::SignalProxy2< R, P1, P2 >:

[legend]
List of all members.

## Public Types
typedef SigC::Slot2< R, P1, P2 > | SlotType
typedef SigC::Slot2< void, P1, P2 > | VoidSlotType
## Public Methods
| SignalProxy2 (ObjectBase* obj, const SignalProxyInfo* info)
SigC::Connection | connect (const SlotType& slot, bool after=true)
SigC::Connection | connect_notify (const VoidSlotType& slot, bool after=false)

## Detailed Description

### template <class R, class P1, class P2>
class Glib::SignalProxy2< R, P1, P2 >

Proxy for signals with 2 arguments.

Use the connect() method, with SigC::slot() to connect signals to signal handlers.

## Member Typedef Documentation

template <class R, class P1, class P2>
typedef SigC::Slot2<R,P1,P2> Glib::SignalProxy2<R, P1, P2>::SlotType

template <class R, class P1, class P2>
typedef SigC::Slot2<void,P1,P2> Glib::SignalProxy2<R, P1, P2>::VoidSlotType

## Constructor & Destructor Documentation

template <class R, class P1, class P2>
Glib::SignalProxy2<R, P1, P2>::SignalProxy2 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo* | info
| ) | `[inline]`

## Member Function Documentation

template <class R, class P1, class P2>
SigC::Connection Glib::SignalProxy2<R, P1, P2>::connect | ( | const SlotType& | slot,
|  | bool | after = true
| ) | `[inline]`

template <class R, class P1, class P2>
SigC::Connection Glib::SignalProxy2<R, P1, P2>::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = false
| ) | `[inline]`

The documentation for this class was generated from the following file:

- signalproxy.h